Subject: [netmod] YANG Usage Guidelines

From: Andy Bierman <[email-masked]>
Date: Sat, 24 Jan 2009 09:13:25 -0800

Hi,

I published an I-D that is intended to be a RFC 4181
counterpart for YANG.

http://www.ietf.org/internet-drafts/draft-bierman-netmod-yang-usage-00.txt

If network management was brand new, and we didn't
have almost 20 years experience with NM data models,
then I would say it was far too early to establish
best current practices for YANG.

But since YANG is so much more complex and powerful than
SMIv2, IMO it makes sense to apply the lessons learned
from standards-track MIB modules right away to
standards-track YANG modules.

The draft also contains 'yang-registry.yang'.
I like the idea of conserving XML namespaces,
rather than have every little bit ever added
using a new XML namespace.  That will get out of
control very quickly.

The idea is to use a virtual main module to contain
only include statements, and all the real definitions
would be published independently, using submodules.
Each time, the registry would be updated, without
republishing the main module RFC, just to add
an include statement and a new revision statement.

The virtual registry would be requested from IANA when the main
module RFC is published, and this RFC reference will
not need to be updated when submodule RFCs are published.
(The normative reference from submodule RFC to main
module RFC does not go away.)  There would need
to be some flag in the 'real' main module in this RFC
to identify the registry that actually contains
the include statement information to use.

Perhaps this idea is too far outside the IETF
way of doing things to make sense, but I
thought I would throw it in the draft anyway.

I would like a short timeslot at IETF #74 to discuss
this draft.

thanks,
Andy

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod